Bug 115701 - Make DOM objects constructible with new
Summary: Make DOM objects constructible with new
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: BlinkMergeCandidate
Depends on: 115639 115640 115641 115642 115643 115644 139173
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-06 20:09 PDT by Ryosuke Niwa
Modified: 2014-12-02 03:59 PST (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Glenn Adams 2013-05-10 07:23:27 PDT
Should this be proposed and accepted as an extension to DOM4 [1] first? Otherwise, is this not a vendor specific extension to the DOM?

[1] http://www.w3.org/TR/domcore/#interface-text
Comment 2 Ryosuke Niwa 2013-05-10 08:34:13 PDT
(In reply to comment #1)
> Should this be proposed and accepted as an extension to DOM4 [1] first?

It has been.
Comment 3 Glenn Adams 2013-05-10 08:43:20 PDT
(In reply to comment #2)
> (In reply to comment #1)
> > Should this be proposed and accepted as an extension to DOM4 [1] first?
> 
> It has been.

Do you have a reference to the proposal/acceptance thread? It is not in the DOM4 spec I referenced.
Comment 4 Erik Arvidsson 2013-05-10 08:44:27 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > Should this be proposed and accepted as an extension to DOM4 [1] first?
> > 
> > It has been.
> 
> Do you have a reference to the proposal/acceptance thread? It is not in the DOM4 spec I referenced.

http://dom.spec.whatwg.org/#interface-text
Comment 5 Glenn Adams 2013-05-10 08:57:59 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > (In reply to comment #1)
> > > > Should this be proposed and accepted as an extension to DOM4 [1] first?
> > > 
> > > It has been.
> > 
> > Do you have a reference to the proposal/acceptance thread? It is not in the DOM4 spec I referenced.
> 
> http://dom.spec.whatwg.org/#interface-text

tnx!